[arch-commits] Commit in nodejs-lts-dubnium/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Apr 5 10:47:32 UTC 2019


    Date: Friday, April 5, 2019 @ 10:47:27
  Author: felixonmars
Revision: 449787

archrelease: copy trunk to community-staging-x86_64

Added:
  nodejs-lts-dubnium/repos/community-staging-x86_64/
  nodejs-lts-dubnium/repos/community-staging-x86_64/PKGBUILD
    (from rev 449786, nodejs-lts-dubnium/trunk/PKGBUILD)

----------+
 PKGBUILD |   69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

Copied: nodejs-lts-dubnium/repos/community-staging-x86_64/PKGBUILD (from rev 449786, nodejs-lts-dubnium/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-04-05 10:47:27 UTC (rev 449787)
@@ -0,0 +1,69 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+pkgname=nodejs-lts-dubnium
+pkgver=10.15.3
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript (LTS release: Dubnium)'
+arch=('x86_64')
+url="https://nodejs.org/"
+license=('MIT')
+depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares' 'libnghttp2')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-dubnium/SHASUMS256.txt.asc
+sha256sums=('4e22d926f054150002055474e452ed6cbb85860aa7dc5422213a2002ed9791d5')
+validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8'  # Myles Borins <mylesborins at google.com>
+              '77984A986EBC2AA786BC0F66B01FBB92821C587A'  # Gibson Fahnestock <gibfahn at gmail.com>
+              'B9AE9905FFD7803F25714661B63B535A4C206CA9'  # Evan Lucas <evanlucas at me.com> 
+              'DD8F2338BAE7501E3DD5AC78C273792F7D83545D'  # Rod Vagg <rod at vagg.org>
+              'B9E2F5981AA6E0CD28160D9FF13993A75599653C'  # Shelley Vohr <shelley.vohr at gmail.com>
+              '4ED778F539E3634C779C87C6D7062848A1AB005C') # Beth Griggs <Bethany.Griggs at uk.ibm.com>
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares \
+    --shared-nghttp2
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  # Numerous HTTP2/TLS failures
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list